From be788467ae9161ae478e1b4ae351d509252e021e Mon Sep 17 00:00:00 2001
From: Mark Dilger <mark.dilger@enterprisedb.com>
Date: Fri, 12 Mar 2021 15:01:48 -0800
Subject: [PATCH v2 2/2] Working around apparent difficulty in IPC::Run

One of pg_amcheck's regression tests was passing an asterisk through
TestLib's command_checks_all() command, which gets through to
pg_amcheck without difficulty on most platforms, but appears to get
shell expanded on Windows (jacana) and AIX (hoverfly).

To fix this, passing '-S*' rather than the pair ('-S', '*').
---
 src/bin/pg_amcheck/t/002_nonesuch.pl | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

diff --git a/src/bin/pg_amcheck/t/002_nonesuch.pl b/src/bin/pg_amcheck/t/002_nonesuch.pl
index fd5f637d7b..4df17885f9 100644
--- a/src/bin/pg_amcheck/t/002_nonesuch.pl
+++ b/src/bin/pg_amcheck/t/002_nonesuch.pl
@@ -239,7 +239,7 @@ $node->command_checks_all(
 		'-s', 'pg_toast',
 		'-s', 'information_schema',
 		'-t', 'pg_catalog.pg_class',
-		'-S', '*'
+		'-S*'
 	],
 	1,
 	[ qr/^$/ ],
-- 
2.21.1 (Apple Git-122.3)

